/*#########################################################################
#                                                                         #
#   Simple script shamelessly recopied from:                              #
#                                                                         #
#   Copyright                                                             #
#                                                                         #
#   (C)  2009 Àlvar Cuevas i Fajardo <alvar@cuevas.cat>                   #
#   (C)  2008 Eirik Johansen Bjørgan  <eirikjbj@gmail.com>                #
#   (C)  2007, 2008 Nikolaj Hald Nielsen  <nhnFreespirit@gmail.com>       #
#   (C)  2008 Peter ZHOU <peterzhoulei@gmail.com>                         #
#   (C)  2008 Mark Kretschmann <kretschmann@kde.org>                      #
#                                                                         #
#   This program is free software; you can redistribute it and/or modify  #
#   it under the terms of the GNU General Public License as published by  #
#   the Free Software Foundation; either version 2 of the License, or     #
#   (at your option) any later version.                                   #
#                                                                         #
#   This program is distributed in the hope that it will be useful,       #
#   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#   GNU General Public License for more details.                          #
#                                                                         #
#   You should have received a copy of the GNU General Public License     #
#   along with this program; if not, write to the                         #
#   Free Software Foundation, Inc.,                                       #
#   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
##########################################################################*/

Importer.loadQtBinding("qt.core");
Importer.loadQtBinding("qt.gui");

function Station( name, url )
{
    this.name = name;
    this.url = url;
    }


categories = new Object;

categories["#"]= new Array (
    new Station( "100%", "http://gisv3.tv-radio.com/station/centpourcent-mp3/centpourcent-mp3-128k.m3u" ),
    new Station( "102FM", "http://102fm.livestreaming.rundev.com:8000/listen.pls" ),
    new Station( "48 FM", "http://213.186.61.62:9000/listen.pls" ),
    new Station( "4U Classic Rock", "http://www.4uradios.com/classicrock.m3u" ),
    new Station( "4U Rock N Metal", "http://www.4uradios.com/4urocknmetal.m3u" ),
    new Station( "77 FM", "http://www.77fm.net/77FM.m3u" )
);

categories["  A"]= new Array (
    new Station( "Accent 4", "http://str0.creacast.com:900/listen.pls" ),
    new Station( "Activ radio", "http://activradio.free.fr/www/m3u/activadsl.m3u" ),
    new Station( "Ado FM", "http://broadcast.infomaniak.ch/start-adofm-high.mp3.m3u" ),
    new Station( "Alouette", "http://www.alouette.fr/alouette.m3u" ),
    new Station( "Alpes 1", "http://broadcast.infomaniak.ch/alpes1gap-high.mp3" ),
    new Station( "Altermusica", "http://213.251.129.18:8000/live.m3u" ),
    new Station( "ARL", "http://gisv3.tv-radio.com/station/arl/arl.m3u" ),
    new Station( "Atlantis FM", "http://www.radioatlantis.fr:8000/listen.pls" )
);

categories["  B"]= new Array (
    new Station( "Beaub Fm", "http://gisv3.tv-radio.com/station/beaub/beaub.m3u" ),
    new Station( "Ben Ben Radio", "http://benbenradio2.free.fr/benbenradio2.m3u" ),
    new Station( "Be.radio", "http://www.beradio.net/radio/beradio.m3u" ),
    new Station( "BestRadio", "http://www.best-radio.net/streams/64.m3u" ),
    new Station( "Bide et Musique", "http://www.bide-et-musique.com/playlist-hq.m3u"  ),
    new Station( "BFM", "http://viphttpplayers.yacast.net/V4/bfm/bfm.m3u" ),
    new Station( "Booster FM", "http://www.boosterfm.net/live/listen.m3u" ),
    new Station( "Booster FM - 80", "http://www.boosterfm.net/liveb80/listenb80.m3u" ),
    new Station( "BSB 100% Electro", "http://listen.radionomy.com/bsb31.m3u" ),
    new Station( "BSB 100% Hits des Clubs", "http://listen.radionomy.com/bsbradio.m3u" )
);

categories["  C"]= new Array (
    new Station( "C9 Radio", "http://streaming.c9radio.eu/listen.m3u" ),
    new Station( "CambosFM", "http://radio-cambos.hopto.org:9000/listen.pls" ),
    new Station( "Canal7", "http://www.canal7.net/canal7.m3u" ),
    new Station( "Canal Académie", "http://www.canalacademie.com/squelettes/canalacademie_haut_debit.m3u" ),
    new Station( "Canal B", "http://stream.levillage.org/canalb.m3u" ),
    new Station( "Capytol", "http://live140.impek.com:8020" ),
    new Station( "Catalogne Nord", "http://gisv3.tv-radio.com/station/catalogne_nord/catalogne_nord-20k.asx" ),
    new Station( "Chemins de la Connaissance", "http://www.tv-radio.com/station/les_chemins_de_la_connaissance_mp3/les_chemins_de_la_connaissance_mp3-128k.m3u" ),
    new Station( "Cherie FM", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/CHERIEFM/encodercheriefm.asx" ),
    new Station( "Cherie FM Live", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/CHERIEFM/cheriefm_webradio06.asx" ),
    new Station( "Cherie FM Love Songs", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/CHERIEFM/cheriefm_webradio05.asx" ),
    new Station( "Cherie FM Frenchy", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/CHERIEFM/cheriefm_webradio02.asx" ),
    new Station( "Cherie FM Summers Hits", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/CHERIEFM/cheriefm_webradio04.asx" ),
    new Station( "Cherie FM Zen", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/CHERIEFM/cheriefm_webradio01.asx" ),
    new Station( "Cherie FM Gold", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/CHERIEFM/cheriefm_webradio03.asx" ),
    new Station( "Chic Radio", "http://stream.chicradio.be:8002/listen.pls"),
    new Station( "Click'N'Rock", "http://240plan.ovh.net/~clicknro/_www/www/dwd/player/hautdebit_winamp.m3u" ),
    new Station( "Clube Brazil", "http://www.clubebrasil.fr/wmphq.m3u" ),
    new Station( "Cocktail FM", "http://91.121.62.121:7450" ),
    new Station( "Collines FM", "http://gisv3.tv-radio.com/station/collines/collines-20k.asx" ),
    new Station( "Contact Enjoy", "http://broadcast.infomaniak.ch/radio-contact-high.mp3.m3u" ),
    new Station( "Contact Story", "http://91.121.2.92:8000/zione.m3u" ),
    new Station( "Couleur 3", "http://broadcast.infomaniak.ch/rsr-couleur3-high.mp3.pls" ),
    new Station( "Cristal FM", "http://cristalsite.no-ip.biz/default.m3u" )
);

categories["  D"]= new Array (
    new Station( "Demoiselle FM", "http://213.186.61.62:8800/listen.pls" ),
    new Station( "Difé Radio", "http://www.bien-glace.com/light/choixradio/dife.m3u" ),
    new Station( "Direct FM", "http://91.121.156.212:8200/listen.pls" ),
    new Station( "Discoid", "http://88.191.24.237:8080/radio.mp3" ),
    new Station( "Divergence FM", "http://divergence-fm.org:8008/divergence.mp3.m3u" )
);

categories["  E"]= new Array (
    new Station( "ECN", "http://gisv3.tv-radio.com/station/ecn/ecn-20k.asx" ),
    new Station( "EFM", "http://broadcast.infomaniak.ch/radioefm-high.mp3.pls" ),
    new Station( "Electra Radio", "http://www.electraradio.com/stream/Electra-HD.m3u" ),
    new Station( "ElectrO-Ice", "http://electro-ice.com/playeur/winamp.m3u" ),
    new Station( "electrOne", "http://www.electrone.net/pls/electrone.pls" ),
    new Station( "Endoctrasia", "http://www.endoctrasia.com/archives/live/ENDOCTRASIA.m3u" ),
    new Station( "Enjoy Station", "http://www.enjoystation.net/player/mp3.m3u" ),
    new Station( "EspryRadio", "http://onestream.group-network.net:8006/listen.pls" ),
    new Station( "Europe 1", "http://vipicecast.yacast.net/europe1.m3u" ),
    new Station( "Europe 1 Sport", "http://vipicecast.yacast.net/europe1sport.m3u" ),
    new Station( "Evasion", "http://87.98.138.91/stream.mp3" )
);

categories["  F"]= new Array (
    new Station( "FG America", "http://www.radiofg.com/streams/fg6.pls" ),
    new Station( "FG Chic", "http://www.radiofg.com/streams/fgc.pls" ),
    new Station( "FG Dance", "http://www.radiofg.com/streams/fgd.pls" ),
    new Station( "FG DJ Radio", "http://www.radiofg.com/streams/fg.pls" ),
    new Station( "FG Underground", "http://www.radiofg.com/streams/fgu.pls" ),
    new Station( "FG Vintage", "http://www.radiofg.com/streams/fgv.pls" ),
    new Station( "FIP", "http://www.tv-radio.com/station/fip_mp3/fip_mp3-128k.m3u" ),
    new Station( "Flash FM", "http://live140.impek.com:8000/listen.pls" ),
    new Station( "FMC Radio", "http://www.fmcradio.info/module/radio/fmc_haut_debit.m3u" ),
    new Station( "France 80", "http://streaming.radionomy.com:8000/FRANCE80.m3u" ),
    new Station( "France Culture", "http://www.tv-radio.com/station/france_culture_mp3/france_culture_mp3-128k.m3u" ),
    new Station( "France Info", "http://players.creacast.com/creacast/france_info/playlist.m3u" ),
    new Station( "France Inter", "http://www.tv-radio.com/station/france_inter_mp3/france_inter_mp3-128k.m3u" ),
    new Station( "France Musique", "http://www.tv-radio.com/station/france_musique_mp3/france_musique_mp3-128k.m3u" ),
    new Station( "France Vivace", "http://www.tv-radio.com/station/france_vivace_mp3/france_vivace_mp3-128k.m3u" ),
    new Station( "Frequence 3", "http://streams.frequence3.net/mp3-192.m3u" ),
    new Station( "Frequence 3 - Mixerama", "http://www.mixarena.fr/mixarena.pls" ),
    new Station( "Frequence 3 - Only90s", "http://streams.frequence3.fr/f3-only90s/mp3-160.m3u" ),
    new Station( "Frequence Banane", "http://www.frequencebanane.ch/fb_128.m3u" ),
    new Station( "Frequence K", "http://www.frequencek.com/stream/FrequenceK.m3u" ),
    new Station( "Frequence Plus", "http://gisv3.tv-radio.com/station/frequence_plus/frequence_plus.m3u" ),
    new Station( "Frequence Sud", "http://91.121.62.121:9500" ),
    new Station( "Frequence Terre", "http://players.creacast.com/creacast/f_terre/playlist.m3u" ),
    new Station( "Fun Radio", "http://www.webradio-fr.info/Playlist_Webradio/FunRadio.m3u" ),
    new Station( "Fusion FM", "http://www.fusionsurlenet.com/ecouterfusionfm/fusion-fm.m3u" ),
    new Station( "Fusion FM Dance", "http://listen.radionomy.com/fusion-fm-dance.m3u" ),
    new Station( "Fusion FM Pop Rock", "http://listen.radionomy.com/fusion-fm-pop-rock.m3u" ),
    new Station( "Futuradio - Dance", "http://ns1.futuradios.net/dance-thd.m3u" ),
    new Station( "Futuradio - Hit & Rock", "http://ns1.futuradios.net/futuradios-thd.m3u" ),
    new Station( "Futuradio - Sweet", "http://ns1.futuradios.net/sweet-thd.m3u" )
);

categories["  G"]= new Array (
    new Station( "Generation Disco Funk", "http://www.generationdiscofunk.com/v3/pls/stream02/hd.m3u" ),
    new Station( "Generation Do", "http://listen.radionomy.com/generation-do.m3u" ),
    new Station( "Generation FM", "http://91.121.169.50:7000/listen.pls" ),
    new Station( "Graffiti Urban Radio", "http://www.urban-radio.com/128.m3u" ),
    new Station( "Graph'Hit", "http://ghstreaming.utc.fr/playlists/grafhit.mp3.m3u" )
);

categories["  H"]= new Array (
    new Station( "Happy FM", "http://88.191.44.54:8008/listen.pls" ),
    new Station( "Hit's One", "http://streaming.radionomy.com:8000/hitsone.m3u" ),
    new Station( "Hit-Generation -100% Hits", "http://www.hit-generation.fr/playlist/itunes-hits.m3u" ),
    new Station( "Hit-Generation -100% Rock", "http://www.hit-generation.fr/playlist/itunes-rock.m3u" ),
    new Station( "Hit-Generation -100% Club", "http://www.hit-generation.fm/playlist/itunes-club.m3u" ),
    new Station( "House Nation Radio", "http://srv9.votreradio.com:8006/listen.pls" ),
    new Station( "HotFresh", "http://www.hotfresh.fr/hotfreshwinamp.m3u" ),
    new Station( "Hot Mix Radio - 80", "http://www.hotmixradio.fr/stream/hotmix80.m3u" ),
    new Station( "Hot Mix Radio - 90", "http://www.hotmixradio.fr/stream/hotmix90.m3u" ),
    new Station( "Hot Mix Radio - 100% Hits", "http://www.hotmixradio.fr/stream/hotmixHIT.m3u" ),
    new Station( "Hot Mix Radio - Funky", "http://www.hotmixradio.fr/stream/funky.m3u" ),
    new Station( "Hot Mix Radio - House Dance", "http://www.hotmixradio.fr/stream/hotmix.m3u" ),
    new Station( "Hot Mix Radio - Rock & Pop", "http://www.hotmixradio.fr/stream/hotmixrock.m3u" )
);

categories["  I"]= new Array (
    new Station( "Ici et Maintenant", "http://sd-1634.dedibox.fr:8000/stream.mp3" ),
    new Station( "idFM", "http://88.191.12.229/live/idfm_pls_bq.pls" ),
    new Station( "Imagine La Webradio", "http://imaginelawebradio.com/stream/Imagine-128kbps.m3u" ),
    new Station( "Imixx", "http://relay1.imixx.fr:8170/listen.pls" ),
    new Station( "Info Concert", "http://broadcast.infomaniak.net/infoconcert-high.mp3.pls" ),
    new Station( "Info Concert - Alternative live", "http://broadcast.infomaniak.net/infoconcert-alternative-high.mp3.pls" ),
    new Station( "Info Concert - Franco Live", "http://broadcast.infomaniak.net/infoconcert-francolive-high.mp3.pls" ),
    new Station( "Info Concert - Memory Live", "http://broadcast.infomaniak.net/infoconcert-memorylive-high.mp3.pls" ),
    new Station( "Impact FM", "http://gisv3.tv-radio.com/station/impact_fm_mp3/impact_fm_mp3-128k.m3u" )
);

categories["  J"]= new Array (
    new Station( "Jazz Radio", "http://www.jazzradio.fr/frequencejazz-high.m3u" ),
    new Station( "Jeunzradio", "http://streaming.radionomy.com:8000/JeunZ-RADIO.m3u" ),
    new Station( "Jordanne FM", "http://www.tv-radio.com/station/jordanne_fm_mp3/jordanne_fm_mp3-96k.m3u" ),
    new Station( "Js Dj Radio", "http://streaming.radionomy.com:8000/Js-Dj-RaDio.m3u" )
);

categories["  K"]= new Array (
    new Station( "Kif Cool", "http://www.kifradio.com/cool/kifcool256.m3u" ),
    new Station( "Kif Radio", "http://www.kifradio.com/www.kifradio.com.m3u" ),
    new Station( "Kif Rock", "http://www.kifradio.com/kifusa.m3u" ),
    new Station( "Kiss FM", "http://gisv3.tv-radio.com/station/kissfm-mp3/kissfm-mp3-128k.m3u" ),
    new Station( "Kiss FM Dance", "http://gisv3.tv-radio.com/station/kissdance-mp3/kissdance-mp3-128k.m3u" )
);

categories["  L"]= new Array (
    new Station( "La Grosse Radio", "http://www.lagrosseradio.com/son/stream/192.m3u" ),
    new Station( "La Radio de Sebb", "http://www.laradiodesebb.com/stream/laradiodesebb.m3u" ),
    new Station( "Lazer 80", "http://stream3.group-network.net:9066/listen.m3u" ),
    new Station( "Le Mouv'", "http://www.tv-radio.com/station/le_mouv_mp3/le_mouv_mp3-128k.m3u" ),
    new Station( "Littoral FM", "http://gisv3.tv-radio.com/station/littoral/littoral-64k.asx" ),
    new Station( "Live7", "http://srv9.votreradio.com/PLAYERS/player_53.m3u" ),
    new Station( "Live9", "http://www.live9.fr/ecoute/192.m3u" ),
    new Station( "Lyon 1ere", "http://broadcast.infomaniak.net:80/lyon1ere-high.mp3.m3u" ) 
);

categories["  M"]= new Array (
    new Station( "M2 Radio", "http://www.m2radio.fr/pls/m2radio.m3u" ),
    new Station( "M2 Radio - Analog", "http://www.m2radio.fr/pls/m2analog.m3u" ),
    new Station( "M2 Radio - Chillout", "http://www.m2radio.fr/pls/m2chillout_winamp.m3u" ),
    new Station( "M2 Radio - Digital", "http://www.m2radio.fr/pls/m2digital_winamp.m3u" ),
    new Station( "M2 Radio - Discovery", "http://www.m2radio.fr/pls/m2discovery_winamp.m3u" ),
    new Station( "M2 Radio - Love", "http://www.m2radio.fr/pls/m2love_winamp.m3u" ),
    new Station( "M2 Radio - Mix", "http://www.m2radio.fr/pls/m2mix.m3u" ),
    new Station( "M2 Radio - Purple", "http://www.m2radio.fr/pls/m2purple_winamp.m3u" ),
    new Station( "M2 Radio - Sunshine", "http://www.m2radio.fr/pls/m2sunshine.m3u" ),
    new Station( "M2 Radio - Vinyl", "http://www.m2radio.fr/pls/m2vinyl.m3u" ),
    new Station( "Magic Radio", "http://www.magic-radio.net/ogg.m3u" ),
    new Station( "MAX la radio", "http://91.121.62.121:9410/listen.pls" ),
    new Station( "Maxi 80", "http://www.maxi80.com/ecoute/maxi80.m3u" ),
    new Station( "Maxi-France", "http://www.maxi-france.fr/stream128.m3u" ),
    new Station( "Maxxhits", "http://www.maxxhitsbootlegs.com/listen/high.m3u" ),
    new Station( "Maxxima", "http://www.maxxima.org/v4/radio/maxx_win.m3u" ),
    new Station( "Maxximum", "http://vipicecast.yacast.net/maxximum.m3u" ),
    new Station( "Mega FM", "http://www.streamakaci.com/radios/megafm.m3u" ),
    new Station( "MFM", "http://str30.creacast.com/mfm1.m3u" ),
    new Station( "MFM Flashback", "http://str2.creacast.com:80/mfm5.m3u" ),
    new Station( "MFM Serenite", "http://str2.creacast.com:80/mfm3.m3u" ),
    new Station( "MFM Sexy", "http://str2.creacast.com:80/mfm4.m3u" ),
    new Station( "MIXX Radio", "http://www.mixxradio.fr/stream/mixxwinamp128.m3u" ),
    new Station( "MIXX Radio Gold", "http://www.radio13.fr/stream128k.m3u" ),
    new Station( "Music Hitz FM", "http://www.musichitzfm.com/listen/winamp-192.m3u" )
);

categories["  N"]= new Array (
    new Station( "Nostalgie", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/NOSTALGIE/encodernostalgie.asx" ),
    new Station( "Nostalgie 60's", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/NOSTALGIE/nostalgie_webradio08.asx" ),
    new Station( "Nostalgie 70's", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/NOSTALGIE/nostalgie_webradio09.asx" ),
    new Station( "Nostalgie classiques 80", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/NOSTALGIE/nostalgie_webradio01.asx" ),
    new Station( "Nostalgie British & America Legend", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/NOSTALGIE/nostalgie_webradio03.asx" ),
    new Station( "Nostalgie Chansons Francaises", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/NOSTALGIE/nostalgie_webradio07.asx" ),
    new Station( "Nostalgie Dance", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/NOSTALGIE/nostalgie_webradio04.asx" ),
    new Station( "Nostalgie Rock Legend", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/NOSTALGIE/nostalgie_webradio02.asx" ),
    new Station( "Nostalgie Slows de legende", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/NOSTALGIE/nostalgie_webradio05.asx" ),
    new Station( "Nostalgie Soul", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/NOSTALGIE/nostalgie_webradio06.asx" ),
    new Station( "NRJ", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/NRJ/encodernrj.asx" ),
    new Station( "NRJ All French", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/NRJ/nrj_webradio13.asx" ),
    new Station( "NRJ Cleopatre", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/NRJ/nrj_webradio08.asx" ),
    new Station( "NRJ Dance", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/NRJ/nrj_webradio04.asx" ),
    new Station( "NRJ Electro", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/NRJ/nrj_webradio11.asx" ),
    new Station( "NRJ Groove", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/NRJ/nrj_webradio02.asx" ),
    new Station( "NRJ Hits", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/NRJ/nrj_webradio01.asx" ),
    new Station( "NRJ Music Awards", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/NRJ/nrj_webradio07.asx" ),
    new Station( "NRJ Music Tour", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/NRJ/nrj_webradio10.asx" ),
    new Station( "NRJ Nouveautes", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/NRJ/nrj_webradio14.asx" ),
    new Station( "NRJ Pop Rock", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/NRJ/nrj_webradio03.asx" ),
    new Station( "NRJ Tech", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/NRJ/nrj_webradio12.asx" ),
    new Station( "NRJ Leman", "http://broadcast.infomaniak.net/nrj-high.mp3.m3u" ),
    new Station( "NTI", "http://www.tv-radio.com/station/nti-mp3/nti-mp3-128k.m3u" )
);

categories["  O"]= new Array (
    new Station( "ODS Radio", "http://broadcast.infomaniak.ch/ods-high.mp3.pls" ),
    new Station( "Oui FM", "http://ouifm.ice.infomaniak.ch/ouifm-high.mp3" ),
    new Station( "Oui FM 2", "http://ouifm2.ice.infomaniak.ch/ouifm2.mp3" ),
    new Station( "Oui FM 3", "http://ouifm3.ice.infomaniak.ch/ouifm3.mp3" ),
    new Station( "Oui FM 4", "http://ouifm4.ice.infomaniak.ch/ouifm4.aac" ),
    new Station( "Oui FM 5", "http://ouifm5.ice.infomaniak.ch/ouifm5.aac" ),
    new Station( "Oxyradio", "http://www.oxyradio.net/listen/oxyradio.pls" )
);

categories["  P"]= new Array (
    new Station( "Pacifique FM", "http://r15919.ovh.net:9510/listen.pls" ),
    new Station( "Paris One Club", "http://www.paris-one.com/pls/radio.pls" ),
    new Station( "Paris One Reserve", "http://www.paris-one.com/pls/radio_v6.pls" ),
    new Station( "Paris One Deeper", "http://www.paris-one.com/pls/radio_deeper.pls" ),
    new Station( "Paris One Trance", "http://www.paris-one.com/pls/radio_trance.pls" ),
    new Station( "Paris One Dance", "http://www.paris-one.com/pls/radio_dance.pls" ),
    new Station( "PLAnet Radio", "http://listen.radionomy.com/planet-radio.m3u" ),
    new Station( "Puls Radio", "http://www.pulsradio.com/pls/puls-adsl.m3u" ),
    new Station( "Puls Radio - Version 8.0", "http://www.pulsradio.com/pls/pulsV80-adsl.m3u" ),
    new Station( "Puls Radio - Version 9.0", "http://www.pulsradio.com/pls/pulsV90-adsl.m3u" ),
    new Station( "Puls Radio - Version Trance", "http://www.pulsradio.com/pls/pulstrance-adsl.m3u" ),
    new Station( "Pulsion", "http://www.radio-pulsion.com/w1.m3u" )
);

/* categories["  Q"]= new Array (
); */

categories["  R"]= new Array (
    new Station( "R.V.A", "http://broadcast.infomaniak.net:80/rva-high.mp3.m3u" ),
    new Station( "Radio activ' 101.9", "http://www.radio-activ.com:8000/listen.mp3" ),
    new Station( "Radio Aléo", "http://srv13.votreradio.com/PLAYERS/player_344.m3u" ),
    new Station( "Radio Alpine Meilleure", "http://91.121.62.121:8310" ),
    new Station( "Radio Béton !", "http://213.186.61.62:8400/listen.pls" ),
    new Station( "Radio Blagon - Ambiance Cool", "http://www.webradio-fr.info/Playlist_Webradio/RadioBlagonAmbianceCool.m3u" ),
    new Station( "Radio Blagon - Festif Etrange", "http://www.webradio-fr.info/Playlist_Webradio/RadioBlagonFestifEtrange.m3u" ),
    new Station( "Radio Blagon - Reggae des Iles", "http://www.webradio-fr.info/Playlist_Webradio/RadioBlagonReggaeIles.m3u" ),
    new Station( "Radio Blagon - Rock Francais", "http://www.webradio-fr.info/Playlist_Webradio/RadioBlagonRockFrancais.m3u" ),
    new Station( "Radio Blagon - Scene Francaise", "http://www.webradio-fr.info/Playlist_Webradio/RadioBlagonSceneFrancaise.m3u" ),
    new Station( "Radio Bresse", "http://91.121.62.121:7350/listen.pls" ),
    new Station( "Radio Campus Paris", "http://www.radiocampusparis.org/coa/stream_rcp.m3u" ),
    new Station( "Radio Classique", "http://players.creacast.com/creacast/classique/playlist.pls" ),
    new Station( "Radio Classique Baroque", "http://str2.creacast.com:106/listen.pls" ),
    new Station( "Radio Classique Cinema", "http://str2.creacast.com:94/listen.pls" ),
    new Station( "Radio Courtoisie", "http://www.tv-radio.com/station/courtoisie/courtoisie-20k.asx" ),
    new Station( "Radio Côte d'Amour", "http://www.streamakaci.com/radios/radiocotedamour.m3u" ),
    new Station( "Radio Coucou", "http://portail.coocoo.free.fr/radio/coucou.pls" ),
    new Station( "R'courchevel", "http://live76.laradiostation.fr:8888/listen.pls" ),
    new Station( "Radio Dogmazic", "http://radio.musique-libre.org:8000/radio_dogmazic.ogg.m3u" ),
    new Station( "Radio Ellebore", "http://broadcast.infomaniak.net:80/ellebore-high.mp3.m3u" ),
    new Station( "Radio Flemme", "http://str15.streamakaci.com:8014/listen.pls" ),
    new Station( "Radio FMR", "http://giss.tv:8000/fmr.ogg.m3u" ),
    new Station( "Radio Frequence Metz Dance", "http://www.radiodance.fr/lecteurs/2/high.m3u" ),
    new Station( "Radio Frequence Metz Hits", "http://www.frequencewoippy.fr/lecteurs/5/high.m3u" ),
    new Station( "Radio Frequence Metz Lounge", "http://www.radiolounge.fr/lecteurs/4/high.m3u" ),
    new Station( "Radio Frequence Metz RNB", "http://www.radiornb.fr/lecteurs/3/high.m3u" ),
    new Station( "Radio Frequence Metz Rock", "http://www.rockradio.fr/lecteurs/1/high.m3u" ),
    new Station( "Radio Grille Ouverte", "http://91.121.62.121:7200/listen.pls" ),
    new Station( "Radio Imagine", "http://213.186.61.62:7900/listen.pls" ),
    new Station( "Radio Intensite", "http://radiointensite.free.fr/live128.m3u" ),
    new Station( "Radio Junior", "http://213.186.61.62:8080/listen.pls" ),
    new Station( "Radio Libertaire", "http://ecoutez.radio-libertaire.org:8080/radiolib.m3u" ),
    new Station( "Radio LSL",  "http://www.radiolsl.fr/192.m3u" ),
    new Station( "Radio Metal", "http://www.radiometal.fr/rm.m3u" ),
    new Station( "Radio Mille Pattes", "http://broadcast.infomaniak.ch/millepattes-high.mp3.pls" ),
    new Station( "Radio Neo", "http://www.radioneo.org/radio/neo.m3u" ),
    new Station( "Radio Nova", "http://broadcast.infomaniak.net/radionova-high.mp3.m3u" ),
    new Station( "Radio Pulsar", "http://91.121.62.121:8100/listen.pls" ),
    new Station( "Radio RDL", "http://91.121.62.121:8300/listen.pls" ),
    new Station( "Radio RDM", "http://213.186.61.62:8200/listen.pls" ),
    new Station( "Radio Scoop - annee 80", "http://web4.radioscoop.com/scoop1.mp3.m3u" ),
    new Station( "Radio Scoop - Music Pod", "http://web4.radioscoop.com/scoop2.mp3.m3u" ),
    new Station( "Radio Scoop - Box Vintage", "http://web4.radioscoop.com/scoop3.mp3.m3u" ),
    new Station( "Radio TeenTall", "http://www.radioteentaal.com/masala128.m3u" ),
    new Station( "Radio Top Side", "http://91.121.109.79:11000/listen.pls" ),
    new Station( "Radio tropicale", "http://www.radiotropicale.fr/lecteurs/quicktime.m3u" ),
    new Station( "Radio Vitamine", "http://str2.creacast.com/vitamine.m3u" ),
    new Station( "Radio Xtreme", "http://www.radioxtreme.fr/xtreme_hd.pls" ),
    new Station( "RBI FM", "http://213.186.61.62:7400/listen.pls" ),
    new Station( "RDM - Lorraine", "http://213.186.61.62:7070/listen.pls" ),
    new Station( "R.E.N", "http://listen.radionomy.com/ren.m3u" ),
    new Station( "RFI Monde", "http://vipicecast.yacast.net/rfi.m3u" ),
    new Station( "RFM", "http://vipicecast.yacast.net/rfm.m3u" ),
    new Station( "Rire et Chansons", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/RIREETCHANSONS/encoderrireetchansons.asx" ),
    new Station( "Rire et Chansons Live", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/RIREETCHANSONS/rir_webradio01.asx" ),
    new Station( "Rire et Chansons Nouveaux talents", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/RIREETCHANSONS/rir_webradio03.asx" ),
    new Station( "Rire et Chansons Sketches", "http://viphttp.yacast.net/nrj/PUBWEBRADIOS/RIREETCHANSONS/rir_webradio02.asx" ), 
    new Station( "RMC", "http://cache.yacast.fr/V4/rmc/rmc.m3u" ),
    new Station( "RNGRadio", "http://www.rngradio.com/rngradio02.m3u" ),
    new Station( "ROC FM","http://mp3.live.tv-radio.com/rocfm/all/rocfm-128k.mp3" ),
    new Station( "Rockenfolie", "http://rockenfolie.com/player%20flash/ecouter.m3u" ),
    new Station( "RPL 99 FM", "http://www.rpl99fm.com/live/rpl/stream/rpl-live.pls" ),
    new Station( "RST", "http://213.186.61.62:8700/listen.pls" ),
    new Station( "RTL", "http://radio.rtl.fr/rtl.pls" ),
    new Station( "RTL2", "http://radio.rtl2.fr/playlist/rtl2_hq.pls" ),
    new Station( "RTS Fm", "http://www.rtsfm.com/rts-winamp.m3u" )
);

categories["  S"]= new Array (
    new Station( "Saint Tropez web radio", "http://stream.saint-tropez-web-radio.com/sttropezwebradio.m3u" ),
    new Station( "Sentiers de la Creation", "http://www.tv-radio.com/station/les_sentiers_de_la_creation_mp3/les_sentiers_de_la_creation_mp3-128k.m3u" ),
    new Station( "Skyrock", "http://player.skyrock.fm/V4/skyrock/skyrock.m3u" ),
    new Station( "Station Millenium", "http://88.191.60.94:9000/live.mp3" ),
    new Station( "Stop radio", "http://www.stopradio.net/stream/hautdebit.m3u" ),
    new Station( "Sud Radio", "http://broadcast.infomaniak.ch/start-sud-high.mp3.m3u" ),
    new Station( "Sweet FM", "http://www.sweetfm.fr/stream/sweet.m3u" )
);

categories["  T"]= new Array (
    new Station( "Tempo Mix", "http://www.tempomix-radio.com/i%20tunes.m3u" ),
    new Station( "Tempo Mix 80", "http://www.tempomixradio80.com/winamp.m3u" ),
    new Station( "Tendance Ouest", "http://www.streamakaci.com/radios/tendanceouest.m3u" ),
    new Station( "TOANE Radio", "http://toane.com/lesstream/RFF.m3u" ),
    new Station( "Top FM Ambient", "http://streaming.radionomy.com:8000/TOP_FM_AMBIENT.m3u" ),
    new Station( "Top FM Live", "http://streaming.radionomy.com:8000/TOP_FM_LIVE.m3u" ),
    new Station( "Top Music", "http://players.creacast.com/creacast/topmusic/playlist.m3u" ),
    new Station( "TSF Jazz", "http://broadcast.infomaniak.net:80/tsfjazz-high.mp3.m3u" )
);

/* categories["  U"]= new Array (
# ); */


categories["  V"]= new Array (
    new Station( "Vallée FM", "http://8197.str.ovh.net:8197/.m3u" ),
    new Station( "Virgin Radio", "http://vipicecast.yacast.net/virginradio.m3u" ),
    new Station( "Virgin Radio HardRock", "http://hardrock.virginradio.fr/scripts/webradio.asx" ),
    new Station( "Virgin Radio New Wave 80", "http://newwave80.virginradio.fr/scripts/webradio.asx" ),
    new Station( "Virgin Radio Rock Alternative", "http://alternative.virginradio.fr/scripts/webradio.asx" ),
    new Station( "Virgin Radio Rock Classics 70", "http://classics.virginradio.fr/scripts/webradio.asx" ),
    new Station( "Virgin Radio Rock UK 80", "mms://viplagardere.yacast.net/vra_webradio06" ),    
    new Station( "Virgin Radio Rock US 80", "http://us80.virginradio.fr/scripts/webradio.asx" ),
    new Station( "Virgin Radio Scene Francaises", "http://scenefrancaise.virginradio.fr/scripts/webradio.asx" ),
    new Station( "Vivre FM", "http://www.vivrefm.com/vivrefm.m3u" ),
    new Station( "Vmix.fm", "http://vmix.fm/playlists/aft/winamp.pls" )
);

categories["  W"]= new Array (
    new Station( "W3 Blues radio", "http://88.191.26.244:8000/live.m3u" ),
    new Station( "Wit FM", "http://broadcast.infomaniak.net:80/start-witfm-high.mp3.m3u" ),
    new Station( "WR2H#1", "http://www.wr2h.com/listen1.m3u" ),
    new Station( "WR2H#2", "http://www.wr2h.com/listen2.m3u" ),
    new Station( "WR2H#3", "http://www.wr2h.com/listen3.m3u" ),
    new Station( "WR2H#4", "http://www.wr2h.com/listen4.m3u" )
);

categories["  X"]= new Array (
    new Station( "X-tream'80", "http://www.x-stream80.com/stream128k.m3u" )
);

categories["  Y"]= new Array (
    new Station( "Yesradio", "http://gula.free.fr/local/v2/player/rshow.m3u" )
);

categories["  Z"]= new Array (
    new Station( "Ze Radio", "http://www.zeradio.net/ecouter/playlist.m3u" ),
    new Station( "Zik2Zik", "http://listen.radionomy.com/zik2zik.m3u" )
);

function RadioFrancaises()
{
    ScriptableServiceScript.call( this, "Radios Francaises", 2, "Liste contenant de nombreuses radios francaises", "Emissions en direct de France", false );
    Amarok.debug( "ok." );
}

function onConfigure()
{
    Amarok.alert( "Ce script ne requiert pas de configuration." );
}

function onPopulating( level, callbackData, filter )
{
    if ( level == 1 ) 
    {
        for( att in categories )
        {
            var cover = Amarok.Info.scriptPath() + "/" + "radio.png";
            Amarok.debug ("att: " + att + ", " + categories[att].name);
      
            item = Amarok.StreamItem;
	    item.level = 1;
	    item.callbackData = att;
	    item.itemName = att;
	    item.playableUrl = "";
	    item.infoHtml = "";
            item.coverUrl = cover;
	    script.insertItem( item );

        }
        script.donePopulating();

    }
    else if ( level == 0 ) 
    {
        Amarok.debug( " Populating station level..." );
	//add the station streams as leaf nodes

        var stationArray = categories[callbackData];

	for ( i = 0; i < stationArray.length; i++ )
	{
		item = Amarok.StreamItem;
		item.level = 0;
		item.callbackData = "";
		item.itemName = stationArray[i].name;
		item.playableUrl = stationArray[i].url;
		item.album = stationArray[i].name;
                item.artist = "Flux radio";
                item.coverUrl = cover;
		script.insertItem( item );
	}
	script.donePopulating();
    }
}

function onCustomize() {
    var currentDir = Amarok.Info.scriptPath() + "/";
    var iconPixmap = new QPixmap(currentDir+"icon.png");
    script.setIcon(iconPixmap);
}

Amarok.configured.connect( onConfigure );

script = new RadioFrancaises();
script.populate.connect( onPopulating );
script.customize.connect( onCustomize );
